import 'package:cl_appbase/appbase.dart';

import 'comment_dto.dart';
import 'post_dto.dart';

class PlaceholderApi extends ApiBase {
  late final posts = ListApiResource(this, '/posts', Post.factory);
  late final comments =
      ListApiResource(this, '/posts/{postId}/comments', Comment.factory);

  PlaceholderApi() : super('https://jsonplaceholder.typicode.com');
}
